#ifndef dud4_task_hh
#define dud4_task_hh

#include <string>

using std::string;

class task
{
public:
	task();
	
	virtual unsigned numpolls() const;
	virtual void writepolls(struct pollfd *arr);
	virtual void checkpolls(const struct pollfd *arr);
	
	virtual ~task();
	
	/* Returns false when the task is dead. */
	virtual bool tick() = 0;
	
	virtual void echo(const string &);
	virtual void operator += (const class event &);
};

#endif
