#ifndef dud4_taskmanager_hh
#define dud4_taskmanager_hh

#include <list>

using std::list;

extern class taskmanager
{
	list<class task *> tasks;
public:
	taskmanager();
	~taskmanager();
	
	/* Add a task */
	void insert(class task *n);
	
	/* Cumulate all tasks an atomic count */
	void tick();
	
	/* Add an event */
	void operator += (const class event &ev);
	
	/* Just informal stuff */
	inline unsigned numtasks() const { return tasks.size(); }
} taskmanager;

#endif
